# 2.3.1 (8e2f634): /etc/dovecot/dovecot.conf
# Pigeonhole version 0.5.1 (d9bc6dfe)
# OS: Linux 4.14.37-1-lts x86_64  
# Hostname: tiger.localdomain
lda_mailbox_autosubscribe = yes
mail_location = maildir:~/Maildir:LAYOUT=fs:DIRNAME=0_mAIL
mail_plugins = fts fts_elasticsearch
managesieve_notify_capability = mailto
managesieve_sieve_capability = fileinto reject envelope encoded-character vacation subaddress comparator-i;ascii-numeric relational regex imap4flags copy include variables body enotify environment mailbox date index ihave duplicate mime foreverypart extracttext
namespace inbox {
  inbox = yes
  location = 
  mailbox Drafts {
    special_use = \Drafts
  }
  mailbox Junk {
    special_use = \Junk
  }
  mailbox Sent {
    special_use = \Sent
  }
  mailbox "Sent Messages" {
    special_use = \Sent
  }
  mailbox Trash {
    special_use = \Trash
  }
  prefix = 
  separator = /
}
passdb {
  driver = pam
}
plugin {
  fts = elasticsearch
  fts_autoindex = yes
  fts_decoder = decode2text
  fts_elasticsearch = url=http://tiger:9200/
}
postmaster_address = knizek@volny.cz
protocols = imap
service auth {
  unix_listener /var/spool/postfix/private/auth {
    group = postfix
    mode = 0660
    user = postfix
  }
  unix_listener auth-master {
    group = postfix
    mode = 0660
    user = postfix
  }
  user = root
}
service decode2text {
  executable = script /usr/lib/dovecot/decode2text.sh
  unix_listener decode2text {
    mode = 0666
  }
  user = dovecot
}
service imap-login {
  inet_listener imap {
    port = 0
  }
}
ssl_cert = </etc/letsencrypt/live/oc.example.org/fullchain.pem
ssl_dh =  # hidden, use -P to show it
ssl_key =  # hidden, use -P to show it
userdb {
  driver = passwd
}
protocol lda {
  mail_plugins = " fts fts_elasticsearch sieve"
}
